Bug 1604208 - golang-github-hashicorp-go-retryablehttp: FTBFS in Fedora rawhide
Summary: golang-github-hashicorp-go-retryablehttp: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-github-hashicorp-go-retryablehttp
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-19 21:32 UTC by Mohan Boddu
Modified: 2019-04-13 15:31 UTC (History)
1 user (show)

Fixed In Version: golang-github-hashicorp-go-retryablehttp-0.5.3-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-13 06:33:14 UTC


Attachments (Terms of Use)
build.log (18.73 KB, text/plain)
2018-07-19 21:32 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-19 21:32 UTC, Mohan Boddu
no flags Details
state.log (819 bytes, text/plain)
2018-07-19 21:32 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-19 21:32:35 UTC
golang-github-hashicorp-go-retryablehttp failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28184564


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix golang-github-hashicorp-go-retryablehttp at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
golang-github-hashicorp-go-retryablehttp will be orphaned. Before branching of Fedora 30,
golang-github-hashicorp-go-retryablehttp will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-19 21:32:40 UTC
Created attachment 1462520 [details]
build.log

Comment 2 Mohan Boddu 2018-07-19 21:32:43 UTC
Created attachment 1462521 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-19 21:32:46 UTC
Created attachment 1462522 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 09:36:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Fedora Update System 2018-10-03 10:14:34 UTC
golang-github-hashicorp-go-retryablehttp-0-0.7.20180612git6e85be8.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c32b18dc07

Comment 6 Fedora Update System 2018-10-03 10:14:45 UTC
golang-github-hashicorp-go-retryablehttp-0-0.7.20180612git6e85be8.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-378b7df33b

Comment 7 Fedora Update System 2018-10-03 15:02:07 UTC
golang-github-hashicorp-go-retryablehttp-0-0.7.20180612git6e85be8.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c32b18dc07

Comment 8 Fedora Update System 2018-10-03 16:31:02 UTC
golang-github-hashicorp-go-retryablehttp-0-0.7.20180612git6e85be8.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-378b7df33b

Comment 9 Fedora Update System 2019-03-26 17:45:27 UTC
golang-github-hashicorp-go-retryablehttp-0.5.3-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8bfa9bdbee

Comment 10 Fedora Update System 2019-03-27 04:34:50 UTC
golang-github-hashicorp-go-retryablehttp-0.5.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8bfa9bdbee

Comment 11 Fedora Update System 2019-04-13 06:33:14 UTC
golang-github-hashicorp-go-retryablehttp-0.5.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-04-13 15:31:50 UTC
golang-github-hashicorp-go-retryablehttp-0.5.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.